Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Tools.Tests.Integrity.ExportsTest Class Referencesealed
Inheritance diagram for Zwipe.Test.Tools.Tests.Integrity.ExportsTest:
[legend]
Collaboration diagram for Zwipe.Test.Tools.Tests.Integrity.ExportsTest:
[legend]

## Classes
class | Pair< T1, T2 >

## Public Member Functions
| ExportsTest ()
Public Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
TestSuite | Perform (TestContext context)

## Protected Member Functions
override void | Execute ()
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
| BaseTest (string name)
void | AddSuccess (string name, string format, params object[] args)
void | AddSuccess (string name, string message)
void | AddError (string name, string format, params object[] args)
void | AddError (string name, string message)
void | Log (string format, params object[] args)
void | Log (string message)
virtual bool | Prepare ()
virtual void | Clean ()
void | Execute ()

## Private Member Functions
IEnumerable< string > | GetCheckedExtensions ()
IEnumerable< FileSystemEntry > | GetFilesWithExports ()
IDictionary< FileSystemEntry, string[]> | MapFileExports (IEnumerable< FileSystemEntry > files)
IEnumerable< string > | CompareExports (File file, IEnumerable< string > expected, IEnumerable< string > actual)
IEnumerable< string > | CheckDefExports (File file, FileSystemEntry fileOnSystem, string[] exports)
IEnumerable< string > | CheckExports (File file, FileSystemEntry fileOnSystem, string[] exports)

## Static Private Member Functions
static string | GetFileName (string path)
static IEnumerable< string > | CleanExports (IEnumerable< string > exports)

## Additional Inherited Members
Properties inherited from Zwipe.Test.Tools.Tests.BaseTest
string | Name`[get]`
TestContext | Context`[get, private set]`
TestSuite | Suite`[get, private set]`

## Constructor & Destructor Documentation

## ◆ ExportsTest()

Zwipe.Test.Tools.Tests.Integrity.ExportsTest.ExportsTest | ( |  | ) |

## Member Function Documentation

## ◆ CheckDefExports()

IEnumerable< string > Zwipe.Test.Tools.Tests.Integrity.ExportsTest.CheckDefExports | ( | File | file,
|  | FileSystemEntry | fileOnSystem,
|  | string[] | exports )
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ CheckExports()

IEnumerable< string > Zwipe.Test.Tools.Tests.Integrity.ExportsTest.CheckExports | ( | File | file,
|  | FileSystemEntry | fileOnSystem,
|  | string[] | exports )
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ CleanExports()

IEnumerable< string > Zwipe.Test.Tools.Tests.Integrity.ExportsTest.CleanExports | ( | IEnumerable< string > | exports | ) |
| static private

Here is the caller graph for this function:

## ◆ CompareExports()

IEnumerable< string > Zwipe.Test.Tools.Tests.Integrity.ExportsTest.CompareExports | ( | File | file,
|  | IEnumerable< string > | expected,
|  | IEnumerable< string > | actual )
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Execute()

override void Zwipe.Test.Tools.Tests.Integrity.ExportsTest.Execute | ( |  | ) |
| protected

Here is the call graph for this function:

## ◆ GetCheckedExtensions()

IEnumerable< string > Zwipe.Test.Tools.Tests.Integrity.ExportsTest.GetCheckedExtensions | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetFileName()

string Zwipe.Test.Tools.Tests.Integrity.ExportsTest.GetFileName | ( | string | path | ) |
| static private

Here is the caller graph for this function:

## ◆ GetFilesWithExports()

IEnumerable< FileSystemEntry > Zwipe.Test.Tools.Tests.Integrity.ExportsTest.GetFilesWithExports | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ MapFileExports()

IDictionary< FileSystemEntry, string[]> Zwipe.Test.Tools.Tests.Integrity.ExportsTest.MapFileExports | ( | IEnumerable< FileSystemEntry > | files | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- Zwipe.Test.Tools/Tests/Integrity/ExportsTest.cs